/*******************************************************************************
* File Name: Vadc.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Vadc_H) /* Pins Vadc_H */
#define CY_PINS_Vadc_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Vadc_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Vadc__PORT == 15 && ((Vadc__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Vadc_Write(uint8 value);
void    Vadc_SetDriveMode(uint8 mode);
uint8   Vadc_ReadDataReg(void);
uint8   Vadc_Read(void);
void    Vadc_SetInterruptMode(uint16 position, uint16 mode);
uint8   Vadc_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Vadc_SetDriveMode() function.
     *  @{
     */
        #define Vadc_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Vadc_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Vadc_DM_RES_UP          PIN_DM_RES_UP
        #define Vadc_DM_RES_DWN         PIN_DM_RES_DWN
        #define Vadc_DM_OD_LO           PIN_DM_OD_LO
        #define Vadc_DM_OD_HI           PIN_DM_OD_HI
        #define Vadc_DM_STRONG          PIN_DM_STRONG
        #define Vadc_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Vadc_MASK               Vadc__MASK
#define Vadc_SHIFT              Vadc__SHIFT
#define Vadc_WIDTH              1u

/* Interrupt constants */
#if defined(Vadc__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Vadc_SetInterruptMode() function.
     *  @{
     */
        #define Vadc_INTR_NONE      (uint16)(0x0000u)
        #define Vadc_INTR_RISING    (uint16)(0x0001u)
        #define Vadc_INTR_FALLING   (uint16)(0x0002u)
        #define Vadc_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Vadc_INTR_MASK      (0x01u) 
#endif /* (Vadc__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Vadc_PS                     (* (reg8 *) Vadc__PS)
/* Data Register */
#define Vadc_DR                     (* (reg8 *) Vadc__DR)
/* Port Number */
#define Vadc_PRT_NUM                (* (reg8 *) Vadc__PRT) 
/* Connect to Analog Globals */                                                  
#define Vadc_AG                     (* (reg8 *) Vadc__AG)                       
/* Analog MUX bux enable */
#define Vadc_AMUX                   (* (reg8 *) Vadc__AMUX) 
/* Bidirectional Enable */                                                        
#define Vadc_BIE                    (* (reg8 *) Vadc__BIE)
/* Bit-mask for Aliased Register Access */
#define Vadc_BIT_MASK               (* (reg8 *) Vadc__BIT_MASK)
/* Bypass Enable */
#define Vadc_BYP                    (* (reg8 *) Vadc__BYP)
/* Port wide control signals */                                                   
#define Vadc_CTL                    (* (reg8 *) Vadc__CTL)
/* Drive Modes */
#define Vadc_DM0                    (* (reg8 *) Vadc__DM0) 
#define Vadc_DM1                    (* (reg8 *) Vadc__DM1)
#define Vadc_DM2                    (* (reg8 *) Vadc__DM2) 
/* Input Buffer Disable Override */
#define Vadc_INP_DIS                (* (reg8 *) Vadc__INP_DIS)
/* LCD Common or Segment Drive */
#define Vadc_LCD_COM_SEG            (* (reg8 *) Vadc__LCD_COM_SEG)
/* Enable Segment LCD */
#define Vadc_LCD_EN                 (* (reg8 *) Vadc__LCD_EN)
/* Slew Rate Control */
#define Vadc_SLW                    (* (reg8 *) Vadc__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Vadc_PRTDSI__CAPS_SEL       (* (reg8 *) Vadc__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Vadc_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Vadc__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Vadc_PRTDSI__OE_SEL0        (* (reg8 *) Vadc__PRTDSI__OE_SEL0) 
#define Vadc_PRTDSI__OE_SEL1        (* (reg8 *) Vadc__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Vadc_PRTDSI__OUT_SEL0       (* (reg8 *) Vadc__PRTDSI__OUT_SEL0) 
#define Vadc_PRTDSI__OUT_SEL1       (* (reg8 *) Vadc__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Vadc_PRTDSI__SYNC_OUT       (* (reg8 *) Vadc__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Vadc__SIO_CFG)
    #define Vadc_SIO_HYST_EN        (* (reg8 *) Vadc__SIO_HYST_EN)
    #define Vadc_SIO_REG_HIFREQ     (* (reg8 *) Vadc__SIO_REG_HIFREQ)
    #define Vadc_SIO_CFG            (* (reg8 *) Vadc__SIO_CFG)
    #define Vadc_SIO_DIFF           (* (reg8 *) Vadc__SIO_DIFF)
#endif /* (Vadc__SIO_CFG) */

/* Interrupt Registers */
#if defined(Vadc__INTSTAT)
    #define Vadc_INTSTAT            (* (reg8 *) Vadc__INTSTAT)
    #define Vadc_SNAP               (* (reg8 *) Vadc__SNAP)
    
	#define Vadc_0_INTTYPE_REG 		(* (reg8 *) Vadc__0__INTTYPE)
#endif /* (Vadc__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Vadc_H */


/* [] END OF FILE */
