/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <stdio.h>
#include "project.h"
#include <math.h>
#include <stdbool.h>

#define     pi      3.14159265359


int main(void)
{
    char    ch[50];
    uint    status;
    uint    timeout;
    float   freq=0;
    float   freq1=0;
    float   pf;
    float   theta=0;
    float   theta1=0;
    bool    pfFlag = false;
    bool    freqFlag = false;
    CyGlobalIntEnable; // Enable global interrupts. 

    // Place your initialization/startup code here (e.g. MyInst_Start()) 
    TimerCAP_Reset_Write(1);     
    TimerPF_Reset_Write(1);     
    TimerCAP_Start();
    TimerPF_Start();
    Comp_V_Start();
    Comp_I_Start();
    
    UART_Start();
    UART_PutString("comp_freq_pf_term\r\n");    //
    
    for(;;)
    {
        TimerCAP_Reset_Write(0);
        while(1){           
            status = TimerCAP_ReadStatusRegister();
            if(status & 0x02) { // capture flag
                
                freq = 1000000.0 / (TimerCAP_ReadPeriod() - TimerCAP_ReadCapture());     
                freqFlag = true;
                break;            
            }
            else if(status & 0x01) { // TC flag
                break;
            }
        }
        TimerCAP_Reset_Write(1);        
        
        timeout = 1000000;
        TimerPF_Reset_Write(0);  
        while(1){
            
            status = TimerPF_ReadStatusRegister();
            if(status & 0x02){
                pf = (TimerPF_ReadPeriod() - TimerPF_ReadCapture()) / 1000000.0;
                //pf = cos(pf * 60 * 2 * pi);
                theta = (pf * 60 * 2 * pi)* 180 / pi;;
                pfFlag = true;
                break;
            }
            else if( (status & 0x01) || (timeout == 0) ){
                break;
            }
            timeout--;
        }
        TimerPF_Reset_Write(1); 
        
        if(freqFlag ){       
            freqFlag = false;  

            if(freq < 59.5 || freq > 60.5){     
                buzzer_Write(1);
                freq1 = freq;
            }
        } 
        if(pfFlag ){       
            pfFlag = false;  

            if(theta < 29 || theta > 31){
                theta1 = theta;              
            }
        }
        sprintf(ch,"freq:%.2f   f1:%.2f,    deg:%.2f    d1:%.2f \r\n",freq, freq1, theta, theta1);
        UART_PutString(ch);
        
        //CyDelay(500);
        buzzer_Write(0);
    }
}

/* [] END OF FILE */
